#include <stdint.h>
#include <stdlib.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/stat.h>

uint8_t *slurp_file(char *path, uint64_t *filesize) {
    struct stat st;
    uint8_t *ret = NULL;
    int fd = -1;
    stat(path, &st);
    *filesize = st.st_size;
    ret = malloc(st.st_size+3);
    if((fd = open(path, O_RDONLY)) < 0) {
        return NULL;
    }
    read(fd, ret+1, st.st_size);
    close(fd);
    return ret;
}

